Winevt.EVT_PUBLISHER_METADATA_PROPERTY_ID (JNA API)

com.sun.jna.platform.win32

## Interface Winevt.EVT_PUBLISHER_METADATA_PROPERTY_ID

- Enclosing interface:
    Winevt

      public static interface Winevt.EVT_PUBLISHER_METADATA_PROPERTY_ID

  Defines the identifiers that identify the metadata properties of a provider. https://msdn.microsoft.com/en-us/library/windows/desktop/aa385545(v=vs.85).aspx

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EvtPublisherMetadataChannelReferenceFlags` Identifies the flags value that indicates whether this channel is imported from another provider.
    `static int` | `EvtPublisherMetadataChannelReferenceID` Identifies the value attribute of the channel.
    `static int` | `EvtPublisherMetadataChannelReferenceIndex` Identifies the zero-based index value of the channel in the list of channels.
    `static int` | `EvtPublisherMetadataChannelReferenceMessageID` Identifies the message attribute of the channel.
    `static int` | `EvtPublisherMetadataChannelReferencePath` Identifies the name attribute of the channel.
    `static int` | `EvtPublisherMetadataChannelReferences` Identifies the channels child element of the provider.
    `static int` | `EvtPublisherMetadataHelpLink` Identifies the helpLink attribute of the provider.
    `static int` | `EvtPublisherMetadataKeywordMessageID` Identifies the message attribute of the keyword.
    `static int` | `EvtPublisherMetadataKeywordName` Identifies the name attribute of the keyword.
    `static int` | `EvtPublisherMetadataKeywords` Identifies the keywords child element of the provider.
    `static int` | `EvtPublisherMetadataKeywordValue` Identifies the mask attribute of the keyword.
    `static int` | `EvtPublisherMetadataLevelMessageID` Identifies the message attribute of the level.
    `static int` | `EvtPublisherMetadataLevelName` Identifies the name attribute of the level.
    `static int` | `EvtPublisherMetadataLevels` Identifies the levels child element of the provider.
    `static int` | `EvtPublisherMetadataLevelValue` Identifies the value attribute of the level.
    `static int` | `EvtPublisherMetadataMessageFilePath` Identifies the messageFilePath attribute of the provider.
    `static int` | `EvtPublisherMetadataOpcodeMessageID` Identifies the message attribute of the opcode.
    `static int` | `EvtPublisherMetadataOpcodeName` Identifies the name attribute of the opcode.
    `static int` | `EvtPublisherMetadataOpcodes` Identifies the opcodes child element of the provider.
    `static int` | `EvtPublisherMetadataOpcodeValue` Identifies the value attribute of the opcode.
    `static int` | `EvtPublisherMetadataParameterFilePath` Identifies the parameterFilePath attribute of the provider.
    `static int` | `EvtPublisherMetadataPropertyIdEND` This enumeration value marks the end of the enumeration values.
    `static int` | `EvtPublisherMetadataPublisherGuid` Identifies the guid attribute of the provider.
    `static int` | `EvtPublisherMetadataPublisherMessageID` Identifies the message attribute of the provider.
    `static int` | `EvtPublisherMetadataResourceFilePath` Identifies the resourceFilePath attribute of the provider.
    `static int` | `EvtPublisherMetadataTaskEventGuid` Identifies the eventGuid attribute of the task.
    `static int` | `EvtPublisherMetadataTaskMessageID` Identifies the message attribute of the task.
    `static int` | `EvtPublisherMetadataTaskName` Identifies the name attribute of the task.
    `static int` | `EvtPublisherMetadataTasks` Identifies the tasks child element of the provider.
    `static int` | `EvtPublisherMetadataTaskValue` Identifies the value attribute of the task.

- - ### Field Detail

    - #### EvtPublisherMetadataPublisherGuid

          static final int EvtPublisherMetadataPublisherGuid

      Identifies the guid attribute of the provider. The variant type for this property is EvtVarTypeGuid.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataResourceFilePath

          static final int EvtPublisherMetadataResourceFilePath

      Identifies the resourceFilePath attribute of the provider. The variant type for this property is EvtVarTypeString.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataParameterFilePath

          static final int EvtPublisherMetadataParameterFilePath

      Identifies the parameterFilePath attribute of the provider. The variant type for this property is EvtVarTypeString.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataMessageFilePath

          static final int EvtPublisherMetadataMessageFilePath

      Identifies the messageFilePath attribute of the provider. The variant type for this property is EvtVarTypeString. https://msdn.microsoft.com/en-us/library/windows/desktop/aa385545(v=vs.85).aspx
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataHelpLink

          static final int EvtPublisherMetadataHelpLink

      Identifies the helpLink attribute of the provider. The variant type for this property is EvtVarTypeString.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataPublisherMessageID

          static final int EvtPublisherMetadataPublisherMessageID

      Identifies the message attribute of the provider. The metadata is the resource identifier assigned to the message string. To get the message string, call the `Wevtapi.EvtFormatMessage(com.sun.jna.platform.win32.Winevt.EVT_HANDLE, com.sun.jna.platform.win32.Winevt.EVT_HANDLE, int, int, com.sun.jna.platform.win32.Winevt.EVT_VARIANT[], int, int, char[], com.sun.jna.ptr.IntByReference)` function. The variant type for this property is EvtVarTypeUInt32. If the provider does not specify a message, the value is -1.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataChannelReferences

          static final int EvtPublisherMetadataChannelReferences

      Identifies the channels child element of the provider. The variant type for this property is EvtVarTypeEvtHandle. To access the metadata of the channels that the provider defines or imports, use this handle when calling the `Wevtapi.EvtGetObjectArrayProperty(com.sun.jna.Pointer, int, int, int, int, com.sun.jna.Pointer, com.sun.jna.ptr.IntByReference)` function. For details, see Remarks. When you are done with the handle, call the `Wevtapi.EvtClose(com.sun.jna.platform.win32.Winevt.EVT_HANDLE)` function.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataChannelReferencePath

          static final int EvtPublisherMetadataChannelReferencePath

      Identifies the name attribute of the channel. Use this identifier when calling the `Wevtapi.EvtGetObjectArrayProperty(com.sun.jna.Pointer, int, int, int, int, com.sun.jna.Pointer, com.sun.jna.ptr.IntByReference)` function. For details, see Remarks. The variant type for this property is EvtVarTypeString.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataChannelReferenceIndex

          static final int EvtPublisherMetadataChannelReferenceIndex

      Identifies the zero-based index value of the channel in the list of channels. Use this identifier when calling the `Wevtapi.EvtGetObjectArrayProperty(com.sun.jna.Pointer, int, int, int, int, com.sun.jna.Pointer, com.sun.jna.ptr.IntByReference)` function. For details, see Remarks. The variant type for this property is EvtVarTypeUInt32.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataChannelReferenceID

          static final int EvtPublisherMetadataChannelReferenceID

      Identifies the value attribute of the channel. Use this identifier when calling the $`Wevtapi.EvtGetObjectArrayProperty(com.sun.jna.Pointer, int, int, int, int, com.sun.jna.Pointer, com.sun.jna.ptr.IntByReference)` function. For details, see Remarks. The variant type for this property is EvtVarTypeUInt32.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataChannelReferenceFlags

          static final int EvtPublisherMetadataChannelReferenceFlags

      Identifies the flags value that indicates whether this channel is imported from another provider. The channel is imported if the EvtChannelReferenceImported flag value is set. Use this identifier when calling the `Wevtapi.EvtGetObjectArrayProperty(com.sun.jna.Pointer, int, int, int, int, com.sun.jna.Pointer, com.sun.jna.ptr.IntByReference)` function. For details, see Remarks. The variant type for this property is EvtVarTypeUInt32.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataChannelReferenceMessageID

          static final int EvtPublisherMetadataChannelReferenceMessageID

      Identifies the message attribute of the channel. Use this identifier when calling the `Wevtapi.EvtGetObjectArrayProperty(com.sun.jna.Pointer, int, int, int, int, com.sun.jna.Pointer, com.sun.jna.ptr.IntByReference)` function. For details, see Remarks. The variant type for this property is EvtVarTypeUInt32. The property contains the resource identifier that is assigned to the message string. To get the message string, call the EvtFormatMessage function. If the channel does not specify a message, the value is -1.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataLevels

          static final int EvtPublisherMetadataLevels

      Identifies the levels child element of the provider. The variant type for this property is EvtVarTypeEvtHandle. To access the metadata of the levels that the provider defines or references, use this handle when calling the `Wevtapi.EvtGetObjectArrayProperty(com.sun.jna.Pointer, int, int, int, int, com.sun.jna.Pointer, com.sun.jna.ptr.IntByReference)` function. For details, see Remarks. When you are done with the handle, call the `Wevtapi.EvtClose(com.sun.jna.platform.win32.Winevt.EVT_HANDLE)` function.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataLevelName

          static final int EvtPublisherMetadataLevelName

      Identifies the name attribute of the level. Use this identifier when calling the `Wevtapi.EvtGetObjectArrayProperty(com.sun.jna.Pointer, int, int, int, int, com.sun.jna.Pointer, com.sun.jna.ptr.IntByReference)` function. For details, see Remarks. The variant type for this property is EvtVarTypeString.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataLevelValue

          static final int EvtPublisherMetadataLevelValue

      Identifies the value attribute of the level. Use this identifier when calling the `Wevtapi.EvtGetObjectArrayProperty(com.sun.jna.Pointer, int, int, int, int, com.sun.jna.Pointer, com.sun.jna.ptr.IntByReference)` function. For details, see Remarks. The variant type for this property is EvtVarTypeUInt32.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataLevelMessageID

          static final int EvtPublisherMetadataLevelMessageID

      Identifies the message attribute of the level. Use this identifier when calling the `Wevtapi.EvtGetObjectArrayProperty(com.sun.jna.Pointer, int, int, int, int, com.sun.jna.Pointer, com.sun.jna.ptr.IntByReference)` function. For details, see Remarks. The variant type for this property is EvtVarTypeUInt32. The property contains the resource identifier that is assigned to the message string. To get the message string, call the `Wevtapi.EvtFormatMessage(com.sun.jna.platform.win32.Winevt.EVT_HANDLE, com.sun.jna.platform.win32.Winevt.EVT_HANDLE, int, int, com.sun.jna.platform.win32.Winevt.EVT_VARIANT[], int, int, char[], com.sun.jna.ptr.IntByReference)` function. If the level does not specify a message, the value is -1.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataTasks

          static final int EvtPublisherMetadataTasks

      Identifies the tasks child element of the provider. The variant type for this property is EvtVarTypeEvtHandle. To access the metadata of the tasks that the provider defines, use this handle when calling the `Wevtapi.EvtGetObjectArrayProperty(com.sun.jna.Pointer, int, int, int, int, com.sun.jna.Pointer, com.sun.jna.ptr.IntByReference)` function. For details, see Remarks. When you are done with the handle, call the `Wevtapi.EvtClose(com.sun.jna.platform.win32.Winevt.EVT_HANDLE)` function.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataTaskName

          static final int EvtPublisherMetadataTaskName

      Identifies the name attribute of the task. Use this identifier when calling the `Wevtapi.EvtGetObjectArrayProperty(com.sun.jna.Pointer, int, int, int, int, com.sun.jna.Pointer, com.sun.jna.ptr.IntByReference)` function. For details, see Remarks. The variant type for this property is EvtVarTypeString.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataTaskEventGuid

          static final int EvtPublisherMetadataTaskEventGuid

      Identifies the eventGuid attribute of the task. Use this identifier when calling the `Wevtapi.EvtGetObjectArrayProperty(com.sun.jna.Pointer, int, int, int, int, com.sun.jna.Pointer, com.sun.jna.ptr.IntByReference)` function. For details, see Remarks. The variant type for this property is EvtVarTypeString.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataTaskValue

          static final int EvtPublisherMetadataTaskValue

      Identifies the value attribute of the task. Use this identifier when calling the `Wevtapi.EvtGetObjectArrayProperty(com.sun.jna.Pointer, int, int, int, int, com.sun.jna.Pointer, com.sun.jna.ptr.IntByReference)` function. For details, see Remarks. The variant type for this property is EvtVarTypeUInt32.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataTaskMessageID

          static final int EvtPublisherMetadataTaskMessageID

      Identifies the message attribute of the task. Use this identifier when calling the `Wevtapi.EvtGetObjectArrayProperty(com.sun.jna.Pointer, int, int, int, int, com.sun.jna.Pointer, com.sun.jna.ptr.IntByReference)` function. For details, see Remarks. The variant type for this property is EvtVarTypeUInt32. The property contains the resource identifier that is assigned to the message string. To get the message string, call the `Wevtapi.EvtFormatMessage(com.sun.jna.platform.win32.Winevt.EVT_HANDLE, com.sun.jna.platform.win32.Winevt.EVT_HANDLE, int, int, com.sun.jna.platform.win32.Winevt.EVT_VARIANT[], int, int, char[], com.sun.jna.ptr.IntByReference)` function. If the task does not specify a message, the value is -1.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataOpcodes

          static final int EvtPublisherMetadataOpcodes

      Identifies the opcodes child element of the provider. The variant type for this property is EvtVarTypeEvtHandle. To access the metadata of the opcodes that the provider defines or references, use this handle when calling the `Wevtapi.EvtGetObjectArrayProperty(com.sun.jna.Pointer, int, int, int, int, com.sun.jna.Pointer, com.sun.jna.ptr.IntByReference)` function. For details, see Remarks. When you are done with the handle, call the `Wevtapi.EvtClose(com.sun.jna.platform.win32.Winevt.EVT_HANDLE)` function.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataOpcodeName

          static final int EvtPublisherMetadataOpcodeName

      Identifies the name attribute of the opcode. Use this identifier when calling the `Wevtapi.EvtGetObjectArrayProperty(com.sun.jna.Pointer, int, int, int, int, com.sun.jna.Pointer, com.sun.jna.ptr.IntByReference)` function. For details, see Remarks. The variant type for this property is EvtVarTypeString.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataOpcodeValue

          static final int EvtPublisherMetadataOpcodeValue

      Identifies the value attribute of the opcode. Use this identifier when calling the `Wevtapi.EvtGetObjectArrayProperty(com.sun.jna.Pointer, int, int, int, int, com.sun.jna.Pointer, com.sun.jna.ptr.IntByReference)` function. For details, see Remarks. The variant type for this property is EvtVarTypeUInt32. The high word contains the opcode value and the low word contains the task to which it belongs. If the low word is zero, the opcode is defined globally; otherwise, the opcode is task specific. Use the low word value to determine the task that defines the opcode.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataOpcodeMessageID

          static final int EvtPublisherMetadataOpcodeMessageID

      Identifies the message attribute of the opcode. Use this identifier when calling the `Wevtapi.EvtGetObjectArrayProperty(com.sun.jna.Pointer, int, int, int, int, com.sun.jna.Pointer, com.sun.jna.ptr.IntByReference)` function. For details, see Remarks. The variant type for this property is EvtVarTypeUInt32. The property contains the resource identifier that is assigned to the message string. To get the message string, call the `Wevtapi.EvtFormatMessage(com.sun.jna.platform.win32.Winevt.EVT_HANDLE, com.sun.jna.platform.win32.Winevt.EVT_HANDLE, int, int, com.sun.jna.platform.win32.Winevt.EVT_VARIANT[], int, int, char[], com.sun.jna.ptr.IntByReference)` function. If the opcode does not specify a message, the value is -1.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataKeywords

          static final int EvtPublisherMetadataKeywords

      Identifies the keywords child element of the provider. The variant type for this property is EvtVarTypeEvtHandle. To access the metadata of the keywords that the provider defines, use this handle when calling the `Wevtapi.EvtGetObjectArrayProperty(com.sun.jna.Pointer, int, int, int, int, com.sun.jna.Pointer, com.sun.jna.ptr.IntByReference)` function. For details, see Remarks. When you are done with the handle, call the `Wevtapi.EvtClose(com.sun.jna.platform.win32.Winevt.EVT_HANDLE)` function.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataKeywordName

          static final int EvtPublisherMetadataKeywordName

      Identifies the name attribute of the keyword. Use this identifier when calling the `Wevtapi.EvtGetObjectArrayProperty(com.sun.jna.Pointer, int, int, int, int, com.sun.jna.Pointer, com.sun.jna.ptr.IntByReference)` function. For details, see Remarks. The variant type for this property is EvtVarTypeString.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataKeywordValue

          static final int EvtPublisherMetadataKeywordValue

      Identifies the mask attribute of the keyword. Use this identifier when calling the `Wevtapi.EvtGetObjectArrayProperty(com.sun.jna.Pointer, int, int, int, int, com.sun.jna.Pointer, com.sun.jna.ptr.IntByReference)` function. For details, see Remarks. The variant type for this property is EvtVarTypeUInt64.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataKeywordMessageID

          static final int EvtPublisherMetadataKeywordMessageID

      Identifies the message attribute of the keyword. Use this identifier when calling the `Wevtapi.EvtGetObjectArrayProperty(com.sun.jna.Pointer, int, int, int, int, com.sun.jna.Pointer, com.sun.jna.ptr.IntByReference)` function. For details, see Remarks. The variant type for this property is EvtVarTypeUInt32. The property contains the resource identifier that is assigned to the message string. To get the message string, call the `Wevtapi.EvtFormatMessage(com.sun.jna.platform.win32.Winevt.EVT_HANDLE, com.sun.jna.platform.win32.Winevt.EVT_HANDLE, int, int, com.sun.jna.platform.win32.Winevt.EVT_VARIANT[], int, int, char[], com.sun.jna.ptr.IntByReference)` function. If the keyword does not specify a message, the value is -1.
      See Also:
        Constant Field Values

    - #### EvtPublisherMetadataPropertyIdEND

          static final int EvtPublisherMetadataPropertyIdEND

      This enumeration value marks the end of the enumeration values.
      See Also:
        Constant Field Values

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.